## inn2 2.7.2

=== debian/changelog ===
inn2 (2.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Marco d'Itri <md@linux.it>  Sun, 23 Jun 2024 16:53:00 +0200

inn2 (2.7.2~20240519-1) unstable; urgency=medium

  * New upstream snapshot of the stable branch.

 -- Marco d'Itri <md@linux.it>  Fri, 31 May 2024 03:57:34 +0200

inn2 (2.7.2~20240325-3) unstable; urgency=medium

  * Keep improving the autopkgtest.

 -- Marco d'Itri <md@linux.it>  Tue, 02 Apr 2024 01:17:02 +0200

inn2 (2.7.2~20240325-2) unstable; urgency=medium

  * inn2.postinst: hardcode the pathdb default, to support installation
    on the Debian CI infrastructure.

 -- Marco d'Itri <md@linux.it>  Mon, 01 Apr 2024 19:23:25 +0200

inn2 (2.7.2~20240325-1) unstable; urgency=medium

  * New upstream snapshot of the stable branch.
  * Try again running the autopkgtest.

 -- Marco d'Itri <md@linux.it>  Mon, 01 Apr 2024 12:29:55 +0200

=== debian/control ===
Source: inn2
Section: news
Priority: optional
Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper-compat (= 13), bison, flex, groff-base,
 libperl-dev, python3-dev, libdb-dev, libkrb5-dev, libpam0g-dev, libsasl2-dev,
 libsystemd-dev, pkgconf,
 libcanlock-dev, libsqlite3-dev, libssl-dev, zlib1g-dev,
Standards-Version: 4.7.0.0
Rules-Requires-Root: binary-targets
Homepage: https://www.eyrie.org/~eagle/software/inn/
Vcs-Git: https://salsa.debian.org/md/inn2.git
Vcs-Browser: https://salsa.debian.org/md/inn2

Package: inn2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 ${perl:Depends}, ${PERLAPI},
 cron | cron-daemon,
 default-mta | mail-transport-agent,
 time, procps,
 libencode-perl, libmime-tools-perl,
Pre-Depends: inn2-inews (= ${binary:Version})
Suggests: gnupg1, wget, libgd-perl, ${shlibs:Suggests}
Replaces: inn
Provides: news-transport-system
Conflicts: inn
Description: 'InterNetNews' news server
 This package provides INN 2.x, which is a very complex news server
 daemon useful for big sites. The 'inn' package still exists for smaller
 sites which do not need the complexity of INN 2.x.
 .
 The news transport is the part of the system that stores the articles
 and the lists of which groups are available and so on, and provides
 those articles on request to users. It receives news (either posted
 locally or from a newsfeed site), files it, and passes it on to any
 downstream sites. Each article is kept for a period of time and then
 deleted (this is known as 'expiry').
 .
 By default Debian's INN will install in a fairly simple 'local-only'
 configuration.
 .
 In order to make use of the services provided by INN you'll have to
 use a user-level newsreader program such as pan. The newsreader is
 the program that fetches articles from the server and shows them to
 the user, remembering which the user has seen so that they don't get
 shown again. It also provides the posting interface for the user.

Package: inn2-inews
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: inews
Description: NNTP client news injector, from InterNetNews (INN)
 'inews' is the program that newsreaders call when the user wishes to
 post an article; it does a few elementary checks and passes the article
 on to the news server for posting.
 .
 This version is the one from Rich Salz's InterNetNews news transport
 system (which is also available as a Debian package).

Package: inn2-dev
Section: devel
Architecture: any
Depends: ${misc:Depends}
Breaks: manpages-dev (<< 6.03-2)
Conflicts: inn
Description: libinn.a library, headers and man pages
 You will only need this if you are going to compile programs that
 require the functions in libinn.a.

=== debian/tests/control ===
Tests: daemon
Depends: inn2-inews, inn2, systemd-sysv,
	perl, libipc-system-simple-perl, libpath-tiny-perl,
Restrictions: isolation-container, needs-root, allow-stderr, flaky, skippable

## inn2 2.7.3~20241006

=== Makefile ===
include Makefile.global

##  All installation directories except for $(PATHRUN), which has a
##  different mode than the rest.
INSTDIRS      = $(PATHNEWS) $(PATHBIN) $(PATHAUTH) $(PATHAUTHRESOLV) \
		$(PATHAUTHPASSWD) $(PATHCONTROL) $(PATHFILTER) \
		$(PATHRNEWS) $(PATHDB) $(PATHDOC) $(PATHETC) $(PATHHTTP) \
		$(PATHLIB) $(PATHLIBPERL) $(PATHLIBPERL)/INN \
		$(PATHLIBPERL)/INN/Utils $(PATHDATASHARE) \
		$(PATHMAN) $(MAN1) $(MAN3) $(MAN3PM) $(MAN5) $(MAN8) \
		$(PATHSPOOL) \
		$(PATHTMP) $(PATHARCHIVE) $(PATHARTICLES) $(PATHINCOMING) \
		$(PATHINBAD) $(PATHTAPE) $(PATHOVERVIEW) $(PATHOUTGOING) \
		$(PATHLOG) $(PATHLOGOLD) $(PATHINCLUDE)

##  LIBDIRS are built before PROGDIRS, make update runs in all UPDATEDIRS,
##  and make install runs in all ALLDIRS.  Nothing runs in test except the
##  test target itself and the clean targets.  Currently, include is built
##  before anything else but nothing else runs in it except clean targets.
LIBDIRS     = include lib storage history perl
PROGDIRS    = innd nnrpd innfeed control expire frontends backends authprogs \
              scripts
UPDATEDIRS  = $(LIBDIRS) $(PROGDIRS) doc
ALLDIRS     = $(UPDATEDIRS) samples site
CLEANDIRS   = $(ALLDIRS) contrib tests

##  The directory name and tar file to use when building a release.
TARDIR      = inn-$(VERSION)$(RELEASENUMBER)
TARFILE     = $(TARDIR).tar

##  The directory to use when building a snapshot.
SNAPDIR     = inn-$(SNAPSHOT)-$(SNAPDATE)

##  DISTDIRS gets all directories from the MANIFEST, SNAPDIRS gets the same
##  but for a snapshot, and DISTFILES gets all regular files.  Anything not
##  listed in the MANIFEST will not be included in a distribution.  These are
##  arguments to sed.
DISTDIRS    = -e 1,2d -e '/(Directory)/!d' -e 's/ .*//' -e 's;^;$(TARDIR)/;'
SNAPDIRS    = -e 1,2d -e '/(Directory)/!d' -e 's/ .*//' -e 's;^;$(SNAPDIR)/;'
DISTFILES   = -e 1,2d -e '/(Directory)/d' -e 's/ .*//'


##  Major target -- build everything.
##
##  We have to loop through all the directories, because otherwise the build
##  fails if make -j works on more than one directory at a time.
##  libinnstorage depends on libinnhist, but some of the storage/...
##  programs depend on libinnhist, hence the two calls into storage.
##
##  Be careful of a non-GNU make: after a completed command, it does not
##  necessarily return the script back to the starting directory.
all:
	cd include     && $(MAKE) all      || exit 1 ; cd ..
	cd lib         && $(MAKE) all      || exit 1 ; cd ..
	cd storage     && $(MAKE) library  || exit 1 ; cd ..
	cd history     && $(MAKE) all      || exit 1 ; cd ..
	cd innd        && $(MAKE) all      || exit 1 ; cd ..
	cd nnrpd       && $(MAKE) all      || exit 1 ; cd ..
	cd innfeed     && $(MAKE) all      || exit 1 ; cd ..
	cd control     && $(MAKE) all      || exit 1 ; cd ..
	cd expire      && $(MAKE) all      || exit 1 ; cd ..
	cd frontends   && $(MAKE) all      || exit 1 ; cd ..
	cd backends    && $(MAKE) all      || exit 1 ; cd ..
	cd authprogs   && $(MAKE) all      || exit 1 ; cd ..
	cd scripts     && $(MAKE) all      || exit 1 ; cd ..
	cd perl        && $(MAKE) all      || exit 1 ; cd ..
	cd storage     && $(MAKE) programs || exit 1 ; cd ..
	cd doc         && $(MAKE) all      || exit 1 ; cd ..
	cd samples     && $(MAKE) all      || exit 1 ; cd ..
	cd site        && $(MAKE) all      || exit 1 ; cd ..


##  If someone tries to run make before running configure, tell them to run
##  configure first.
Makefile.global:
	@echo 'Run ./configure before running make.  See INSTALL for details.'
	@exit 1


##  Installation rules.  make install installs everything; make update only
##  updates the binaries, scripts, and documentation and leaves config
##  files alone.  make install-root does only the installation that needs
##  to be done as root and can be run after doing the regular install as the
##  news user if the installation directory is news-writable.
install: directories
	@for D in $(ALLDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) D="$(DESTDIR)" install || exit 1 ; cd .. ; \
	done
	@echo ''
	@echo 'If this is a first-time installation, a minimal active file and'
	@echo 'history database have been installed.  Do not forget to update'
	@echo 'your cron entries and configure INN.  See INSTALL for more'
	@echo 'information.'
	@echo ''

directories:
	@chmod +x support/install-sh
	for D in $(INSTDIRS) ; do \
	    support/install-sh $(OWNER) -m 0755 -d $(DESTDIR)$$D ; \
	done
	support/install-sh $(OWNER) -m 0750 -d $(DESTDIR)$(PATHRUN)

update:
	@chmod +x support/install-sh
	@for D in $(UPDATEDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) D="$(DESTDIR)" install || exit 1 ; cd .. ; \
	done
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(PATHAUTHPASSWD)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(PATHBIN)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(PATHCONTROL)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(PATHDOC)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(PATHETC)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(PATHFILTER)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(PATHINCLUDE)/inn
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(MAN1)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(MAN3)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(MAN5)
	$(PERL) -Tw $(PATHBIN)/innupgrade $(DESTDIR)$(MAN8)

install-root:
	@chmod +x support/install-sh
	support/install-sh $(OWNER) -m 0755 -d $(DESTDIR)$(PATHBIN)
	cd backends && $(MAKE) D="$(DESTDIR)" install-root || exit 1 ; cd ..

##  Install a certificate for TLS/SSL support.
cert:
	umask 077 ; \
	$(SSLBIN) req -new -x509 -nodes \
	    -out $(DESTDIR)$(PATHETC)/cert.pem -days 366 \
	    -keyout $(DESTDIR)$(PATHETC)/key.pem
	@ME=`$(WHOAMI)` ; \
	if [ x"$$ME" = xroot ] ; then \
	    chown $(RUNASUSER) $(DESTDIR)$(PATHETC)/cert.pem ; \
	    chgrp $(RUNASGROUP) $(DESTDIR)$(PATHETC)/cert.pem ; \
	    chown $(RUNASUSER) $(DESTDIR)$(PATHETC)/key.pem ; \
	    chgrp $(RUNASGROUP) $(DESTDIR)$(PATHETC)/key.pem ; \
	fi
	chmod 640 $(DESTDIR)$(PATHETC)/cert.pem
	chmod 600 $(DESTDIR)$(PATHETC)/key.pem


##  Cleanup targets.  clean deletes all compilation results but leaves the
##  configure results.  distclean or clobber removes everything not part of
##  the distribution tarball.  maintclean removes some additional files
##  created as part of the release process.
clean:
	@for D in $(CLEANDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) clean || exit 1 ; cd .. ; \
	done

clobber realclean distclean:
	@for D in $(CLEANDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) $(FLAGS) distclean || exit 1 ; cd .. ; \
	done
	@echo ''
	rm -f LIST.* Makefile.global config.cache config.log
	rm -f config.status libtool support/fixconfig support/fixscript
	rm -f config.status.lineno configure.lineno

# The removal list is unfortunately duplicated here, both to avoid doing work
# twice and because we can't just depend on distclean since it removes
# Makefile.global and then nothing works right.
maintclean:
	@for D in $(CLEANDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) $(FLAGS) maintclean || exit 1 ; cd .. ; \
	done
	@echo ''
	rm -f LIST.* Makefile.global config.cache config.log
	rm -f config.status libtool support/fixconfig support/fixscript
	rm -f config.status.lineno configure.lineno
	rm -f inn*.tar.gz configure include/config.h.in
	rm -rf $(TARDIR)

##  Other generic targets.
bootstrap depend profiled:
	@for D in $(ALLDIRS) ; do \
	    echo '' ; \
	    cd $$D && $(MAKE) $@ || exit 1 ; cd .. ; \
	done


##  Run the test suite.
check test tests: all
	cd tests && $(MAKE) test || exit 1 ; cd ..


##  For maintainers, build the entire source base with warnings enabled.
warnings:
	$(MAKE) COPT="$(COPT) $(WARNINGS)" all


##  Make a release.  We create a release by recreating the directory
##  structure and then copying over all files listed in the MANIFEST.  If it
##  isn't in the MANIFEST, it doesn't go into the release.  We also update
##  the version information in Makefile.global.in to remove the prerelease
##  designation and update all timestamps to the date the release is made.
##  If RELEASENUMBER is set, it is a beta release or a release candidate.
release:
	rm -rf $(TARDIR)
	rm -f inn*.tar.gz
	mkdir $(TARDIR)
	for d in `$(SED) $(DISTDIRS) MANIFEST` ; do $(MKDIR_P) $$d ; done
	for f in `$(SED) $(DISTFILES) MANIFEST` ; do \
	    cp $$f $(TARDIR)/$$f || exit 1 ; \
	done
	if [ "x$(RELEASENUMBER)" != "x" ] ; then \
	    cp README.$(RELEASEEXTENSION) $(TARDIR)/ ; \
	    $(SED) 's/= prerelease/= $(RELEASENUMBER) version/' \
	        Makefile.global.in > $(TARDIR)/Makefile.global.in ; \
	else \
	    $(SED) 's/= prerelease/=/' Makefile.global.in \
	        > $(TARDIR)/Makefile.global.in ; \
	fi
	find $(TARDIR) -type f -print | xargs touch -t `date +%m%d%H%M.%S`
	tar cf $(TARFILE) $(TARDIR)
	$(GZIP) -9 $(TARFILE)


##  Check the MANIFEST against the files present in the current tree,
##  building a list with find and running diff between the lists.
check-manifest:
	$(SED) -e 1,2d -e 's/ .*//' MANIFEST > LIST.manifest
	$(PERL) support/mkmanifest > LIST.real
	diff -u LIST.manifest LIST.real


##  Make a snapshot.  This is like making a release, except that we don't
##  change the version number.  We also assume that SNAPSHOT has been set to
##  the appropriate current branch.
snapshot:
	rm -rf $(SNAPDIR)
	rm -f inn*.tar.gz
	mkdir $(SNAPDIR)
	set -e ; for d in `$(SED) $(SNAPDIRS) MANIFEST` ; do $(MKDIR_P) $$d ; done
	set -e ; for f in `$(SED) $(DISTFILES) MANIFEST` ; do \
	    cp $$f $(SNAPDIR)/$$f ; \
	done
	cp README.snapshot $(SNAPDIR)/
	$(SED) 's/= prerelease/= $(SNAPDATE) snapshot/' \
	    Makefile.global.in > $(SNAPDIR)/Makefile.global.in
	find $(SNAPDIR) -type f -print | xargs touch -t `date +%m%d%H%M.%S`
	tar cf $(SNAPDIR).tar $(SNAPDIR)
	$(GZIP) -9 $(SNAPDIR).tar


##  Check code for nits and potential errors by running:
##    * perlcritic for Perl scripts,
##    * perltidy warnings for Perl scripts.
##  This should only be run by a maintainer since it depends on the presence
##  of these programs, and sometimes a specific version.
code-check:
	@F=`(grep --include=\*.in -Rin perl . | grep ':1:' | cut -f1 -d':' ; \
	        find . \( -name '*.pl' -o -name '*.pl.in' -o -name '*.pm' \
	        -o -name '*.pm.in' \) \
	        \! -wholename ./perl/INN/Config.pm \
	        \! -wholename ./perl/INN/Utils/Shlock.pm \
	        \! -wholename ./samples/nnrpd_access.pl \
	        \! -wholename ./samples/nnrpd_auth.pl \
	        \! -wholename ./scripts/innshellvars.pl \
	        ; echo ./support/mkmanifest) \
	        | grep -v pgpverify | grep -v '^./site/' | sort -u` ; \
	if command -v "perlcritic" >/dev/null 2>&1; then \
	    echo "Running perlcritic to check Perl code..." ; \
	    perlcritic --quiet $$F ; \
	else \
	    echo "Skipping Perl code checking (perlcritic not found)" ; \
	fi ; \
        if command -v "perltidy" >/dev/null 2>&1; then \
            echo "Running perltidy to check Perl code..." ; \
            perltidy -se -wma -wmauc=0 -wmr \
                -wvt='c p r u' -wvxl='*_unused' $$F ; \
        else \
            echo "Skipping Perl code checking (perltidy not found)" ; \
        fi


##  Reformat all source code using:
##    * black for Python scripts,
##    * clang-format for C code,
##    * perltidy for Perl scripts,
##    * shfmt for shell scripts.
##  This should only be run by a maintainer since it depends on the presence
##  of these formatters, and sometimes a specific version.
##  Exclude the files generated by the Bison parser.
##  Note we also have C source code in innfeed/configfile.l and configfile.y
##  but it should be manually handled as it contains mixed yacc code.
reformat:
	@if command -v "black" >/dev/null 2>&1; then \
	    echo "Running black to reformat Python code..." ; \
	    black --line-length 79 --quiet \
	        --include "contrib/mm_ckpasswd|\.py$$" . ; \
	else \
	    echo "Skipping Python code reformatting (black not found)" ; \
	fi
	@if command -v "clang-format" >/dev/null 2>&1; then \

=== debian/changelog ===
inn2 (2.7.3~20241006-1) unstable; urgency=medium

  * New upstream snapshot of the stable branch.

 -- Marco d'Itri <md@linux.it>  Mon, 07 Oct 2024 02:12:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,9 @@
 Priority: optional
 Maintainer: Marco d'Itri <md@linux.it>
 Build-Depends: debhelper-compat (= 13), bison, flex, groff-base,
- libperl-dev, python3-dev, libdb-dev, libkrb5-dev, libpam0g-dev, libsasl2-dev,
+ libperl-dev,
+ python3-dev:native, libpython3-dev,
+ libdb-dev, libkrb5-dev, libpam0g-dev, libsasl2-dev,
  libsystemd-dev, pkgconf,
  libcanlock-dev, libsqlite3-dev, libssl-dev, zlib1g-dev,
 Standards-Version: 4.7.0.0
